// composables/chat-api.ts
import { useChatStore } from "src/stores/message-store";
import type { Message } from "../types/dialogue-message";

export const useChatApi = () => {
  const chatStore = useChatStore();

  const sendMessage = async (text: string): Promise<Message> => {
    return await chatStore.sendMessage(text);
  };

  return { sendMessage };
};
